Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 2.0.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlgraphics.ps.dsc.events
Class DSCCommentDocumentSuppliedResources

    java.lang.Object
      org.apache.xmlgraphics.ps.dsc.events.AbstractEvent
          org.apache.xmlgraphics.ps.dsc.events.AbstractDSCComment
              org.apache.xmlgraphics.ps.dsc.events.AbstractResourcesDSCComment
                  org.apache.xmlgraphics.ps.dsc.events.DSCCommentDocumentSuppliedResources

All Implemented Interfaces:
  DSCParserConstants, DSCComment, DSCEvent

    public class DSCCommentDocumentSuppliedResources

extends AbstractResourcesDSCComment

Represents a %%DocumentSuppliedResources DSC comment.

Field Summary

Fields inherited from class org.apache.xmlgraphics.ps.dsc.events.AbstractResourcesDSCComment
`RESOURCE_TYPES`

Fields inherited from interface org.apache.xmlgraphics.ps.dsc.DSCParserConstants
`COMMENT, DSC_COMMENT, EOF, HEADER_COMMENT, LINE`

Constructor Summary
`DSCCommentDocumentSuppliedResources()` Creates a new instance.
`DSCCommentDocumentSuppliedResources(Collection resources)` Creates a new instance.

Method Summary
`String` | `getName()` Returns the name of the DSC comment.

Methods inherited from class org.apache.xmlgraphics.ps.dsc.events.AbstractResourcesDSCComment
`addResource, addResources, generate, getResources, hasValues, parseValue`

Methods inherited from class org.apache.xmlgraphics.ps.dsc.events.AbstractDSCComment
`asDSCComment, getEventType, isAtend, isDSCComment, splitParams`

Methods inherited from class org.apache.xmlgraphics.ps.dsc.events.AbstractEvent
`asLine, isComment, isHeaderComment, isLine`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.xmlgraphics.ps.dsc.events.DSCEvent
`asLine, isComment, isHeaderComment, isLine`

Constructor Detail

### DSCCommentDocumentSuppliedResources

    public DSCCommentDocumentSuppliedResources()

  Creates a new instance.

### DSCCommentDocumentSuppliedResources

    public DSCCommentDocumentSuppliedResources(Collection resources)

  Creates a new instance.

  Parameters:
    `resources` - a Collection of PSResource instances

Method Detail

### getName

    public String getName()

  Description copied from interface: `DSCComment`
  Returns the name of the DSC comment.

  Returns:
    the name of the DSC comment (without the "%%" prefix)
  See Also:
    `DSCComment.getName()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 2.0.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.